'use strict';

var express = require('express');
var connectSSE = require('connect-sse');
var sse = connectSSE();

module.exports = function (group) {
  var router = express.Router();

  router.get('/', sse, function (req, res) {
    function sendState() {
      res.json(group.list());
    }

    // Bootstrap
    sendState();

    // Listen
    group.on('change', sendState);
  });

  router.get('/output', sse, function (req, res) {
    function sendOutput(id, data) {
      res.json({
        id: id,
        output: data.toString()
      });
    }

    // Bootstrap
    var list = group.list();
    Object.keys(list).forEach(function (id) {
      var mon = list[id];
      if (mon && mon.tail) {
        sendOutput(id, mon.tail);
      }
    });

    // Listen
    group.on('output', sendOutput);
  });

  return router;
};